---
title: doc-utils
layout: main.html
---

# doc-utils

Documentation for the `doc-utils` projects.

## CLI Commands

- [`docs2website`](./cli/docs2website.html) - Convert a directory with various documents into a website
- [`markdown2html`](./cli/markdown2html.html) - Convert Markdown documents to HTML documents
- [`openapi2markdown`](./cli/openapi2markdown.html) - Convert OpenAPI Specification files to Markdown documents
- [`schema2markdown`](./cli/schema2markdown.html) - Convert JSON Schema files to Markdown documents

## Node.js Modules

- [`@doc-utils/docs2website`](./nodejs/docs2website.html) - Convert a directory with various documents into a website
- [`@doc-utils/markdown2html`](./nodejs/markdown2html.html) - Convert Markdown documents to HTML documents
- [`@doc-utils/openapi2markdown`](./nodejs/openapi2markdown.html) - Convert OpenAPI Specification files to Markdown documents
- [`@doc-utils/schema2markdown`](./nodejs/schema2markdown.html) - Convert JSON Schema files to Markdown documents

## Markdown Format Documentation

See [markdown.html](./markdown.html)
